<back to all web services

SpecificListsGetRequest

The following routes are available for this service:
PUT/RestApi/lists-api/items
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Frontend.Services.ListsService.DTO;
using Telerik.Sitefinity.Web.Services;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Response;

namespace Telerik.Sitefinity.Frontend.Services.ListsService.DTO
{
    public partial class SpecificListsGetRequest
    {
        public virtual Guid[] Ids { get; set; }
        public virtual string Provider { get; set; }
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response
{
    public partial class ItemsTargetLanguageStatusProxy
    {
        public virtual string Code { get; set; }
        public virtual string Name { get; set; }
        public virtual bool SomeItemsHaveIncompatiblePendingTranslations { get; set; }
        public virtual bool AllItemsHaveIncompatiblePendingTranslations { get; set; }
    }

}

namespace Telerik.Sitefinity.Web.Services
{
    [DataContract]
    public partial class CollectionContext<T>
    {
        [DataMember]
        public virtual int TotalCount { get; set; }

        [DataMember]
        public virtual bool IsGeneric { get; set; }

        [DataMember]
        public virtual IDictionary<string, string> Context { get; set; }

        [DataMember]
        public virtual IEnumerable<ItemsTargetLanguageStatusProxy> Items { get; set; }
    }

}

C# SpecificListsGetRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/lists-api/items HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}